--- a/net80211/ieee80211_linux.h
+++ b/net80211/ieee80211_linux.h
@@ -312,6 +312,8 @@
 /* __skb_append got a third parameter in 2.6.14 */
 #if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,14)
 #define __skb_append(a,b,c)	__skb_append(a, b)
+#elif LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,25)
+#define __skb_append(a,b,c)	__skb_queue_after(c, a, b)
 #endif
 
 /*
